package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWFIG3Data {

    private Map<String, Object> params;
    
    public MWFIG3Data(Map<String, Object> params) {
        this.params = params;
    }

    public String rsStavtransakce() {
        return (String) params.get("RS_STAVTRANSAKCE");
    }

    public String rsDebetcislouctu() {
        return (String) params.get("RS_DEBETCISLOUCTU");
    }

    public String rsDebetmenauctu() {
        return (String) params.get("RS_DEBETMENAUCTU");
    }

    public Double rsDebetcastkatransakce() {
        return (Double) params.get("RS_DEBETCASTKATRANSAKCE");
    }

    public String rsDebetcif() {
        return (String) params.get("RS_DEBETCIF");
    }

    public String rsDebetjmeno() {
        return (String) params.get("RS_DEBETJMENO");
    }

    public String rsKreditcislouctu() {
        return (String) params.get("RS_KREDITCISLOUCTU");
    }

    public String rsKreditjmeno() {
        return (String) params.get("RS_KREDITJMENO");
    }

    public String rsKreditmenauctu() {
        return (String) params.get("RS_KREDITMENAUCTU");
    }

    public Double rsKreditcastkatransakce() {
        return (Double) params.get("RS_KREDITCASTKATRANSAKCE");
    }

    public Double rsCastkatransakce() {
        return (Double) params.get("RS_CASTKATRANSAKCE");
    }

    public String rsMenatransakce() {
        return (String) params.get("RS_MENATRANSAKCE");
    }

    public Double rsKurztransakce() {
        return (Double) params.get("RS_KURZTRANSAKCE");
    }

    public String rsTypkurzu() {
        return (String) params.get("RS_TYPKURZU");
    }

    public java.util.Date rsCasuzavreni() {
        return (java.util.Date) params.get("RS_CASUZAVRENI");
    }

    public String rsMenovypar() {
        return (String) params.get("RS_MENOVYPAR");
    }

    public String rsDealer() {
        return (String) params.get("RS_DEALER");
    }

    public String rsIdobchodu() {
        return (String) params.get("RS_IDOBCHODU");
    } 

}
